package com.persagy.dmp.rwd.version.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.digital.entity.ObjectRelation;
import com.persagy.dmp.rwd.version.entity.ObjectRelationHistory;

import java.util.List;

/**
 * Description
 *
 * @author:linhuili
 * @date:2021/11/15
 */
public interface IObjectRelationHistoryService {


    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<ObjectRelationHistory> queryWrapper);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 返回结果
     */
    List<ObjectRelationHistory> queryByCondition(Wrapper<ObjectRelationHistory> queryWrapper);

    /**
     * 分页条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectRelationHistory> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    ObjectRelationHistory insert(ObjectRelation vo) throws Exception ;

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    ObjectRelationHistory update(ObjectRelation vo) throws Exception;

    /**
     * 删除
     * @param vo 主键
     */
    ObjectRelationHistory delete(ObjectRelation vo) throws Exception ;
}
