CREATE TABLE IF NOT EXISTS `dt_object_his` (
    `id` varchar(100) NOT NULL COMMENT '主键',
    `obj_id` varchar(100) DEFAULT NULL COMMENT '对象id',
    `name` varchar(100) DEFAULT NULL COMMENT '对象名称',
    `local_id` varchar(100) DEFAULT NULL COMMENT '对象本地编码',
    `local_name` varchar(100) DEFAULT NULL COMMENT '对象本地名称',
    `group_code` varchar(40) DEFAULT NULL COMMENT '集团编码',
    `project_id` varchar(40) NOT NULL COMMENT '项目id',
    `obj_type` varchar(40) NOT NULL COMMENT '对象分类',
    `class_code` varchar(40) NOT NULL COMMENT '对象类型编码',
    `grouping` int(11) NOT NULL DEFAULT '1' COMMENT '1单个对象,2对象组',
    `infos` json DEFAULT NULL COMMENT '边类型编码',
    `virtual_codes` json DEFAULT NULL COMMENT '虚点清单',
    `create_app` varchar(40) DEFAULT NULL COMMENT '创建应用',
    `update_app` varchar(40) DEFAULT NULL COMMENT '最后更新应用',
    `creator` varchar(32) DEFAULT NULL COMMENT '创建人',
    `creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
    `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人',
    `modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
    `last_flag` tinyint DEFAULT NULL COMMENT '最新标示',
    `start_time` char(14) NULL DEFAULT NULL COMMENT '版本开始时间',
    `end_time` char(14) NULL DEFAULT NULL COMMENT '版本结束时间',
    `valid` tinyint DEFAULT NULL COMMENT '合法标识',
    `ts` timestamp default current_timestamp on update current_timestamp NOT NULL COMMENT '乐观锁',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `idx_project_1` (`project_id`,`class_code`,`creation_time`) USING BTREE,
    KEY `idx_project_2` (`project_id`,`creation_time`) USING BTREE,
    KEY `idx_project_3` (`project_id`,`modified_time`) USING BTREE,
    KEY `idx_project_4` (`obj_type`) USING BTREE,
    KEY `idx_project_5` (`project_id`) USING BTREE
    ) ENGINE=InnoDB ROW_FORMAT=DYNAMIC COMMENT='对象实例表';

CREATE TABLE IF NOT EXISTS `dt_relation_his` (
    `id` varchar(100) NOT NULL COMMENT '主键',
    `rel_id` varchar(100) DEFAULT NULL COMMENT '关系id',
    `group_code` varchar(40) DEFAULT NULL,
    `project_id` varchar(40) NOT NULL,
    `graph_id` varchar(100) DEFAULT NULL COMMENT '图主键',
    `graph_code` varchar(40) DEFAULT NULL COMMENT '图编码',
    `rel_code` varchar(40) DEFAULT NULL COMMENT '关系编码',
    `rel_value` varchar(50) DEFAULT NULL COMMENT '关系值',
    `obj_from` varchar(60) DEFAULT NULL COMMENT '来源对象',
    `obj_to` varchar(60) DEFAULT NULL COMMENT '目标对象',
    `create_app` varchar(40) DEFAULT NULL COMMENT '创建应用',
    `update_app` varchar(40) DEFAULT NULL COMMENT '最后更新应用',
    `creator` varchar(32) DEFAULT NULL COMMENT '创建人',
    `creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
    `modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人',
    `modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
    `last_flag` tinyint DEFAULT NULL COMMENT '最新标示',
    `start_time` char(14) NULL DEFAULT NULL COMMENT '版本开始时间',
    `end_time` char(14) NULL DEFAULT NULL COMMENT '版本结束时间',
    `valid` tinyint DEFAULT '1' COMMENT '合法标识',
    `ts` timestamp default current_timestamp on update current_timestamp NOT NULL COMMENT '乐观锁',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `idx_graph_code` (`graph_code`) USING BTREE,
    KEY `idx_1` (`graph_code`,`rel_code`,`obj_from`,`obj_to`,`project_id`) USING BTREE,
    KEY `idx_2` (`graph_id`,`rel_code`,`obj_from`,`obj_to`,`project_id`) USING BTREE,
    KEY `idx_3` (`graph_code`,`rel_code`,`obj_to`,`project_id`) USING BTREE,
    KEY `idx_4` (`graph_id`,`rel_code`,`obj_to`,`project_id`) USING BTREE,
    KEY `idx_5` (`obj_from`) USING BTREE,
    KEY `idx_6` (`obj_to`) USING BTREE
    ) ENGINE=InnoDB ROW_FORMAT=DYNAMIC COMMENT='关系实例表';