CREATE TABLE IF NOT EXISTS `dt_define_version` (
  `id` varchar(40) NOT NULL COMMENT '主键',
  `version` varchar(40) DEFAULT NULL COMMENT '版本编号,全局唯一',
  `state` varchar(2) DEFAULT NULL COMMENT '版本状态,0-已取消,1-待确认,2-待发布,3-发布中,4-已完成',
  `last_flag` tinyint(4) DEFAULT NULL COMMENT '最新标识,0-非最新,1-最新',
  `last_version` varchar(40) DEFAULT NULL COMMENT '上一版本号',
  `show_order` int(11) DEFAULT NULL COMMENT '显示顺序',
  `confirm_user` varchar(32) DEFAULT NULL COMMENT '确认人',
  `confirm_time` char(14) DEFAULT NULL COMMENT '确认时间,格式为yyyyMMddHHmmss',
  `publish_user` varchar(32) DEFAULT NULL COMMENT '发布人',
  `publish_time` char(14) DEFAULT NULL COMMENT '发布时间,格式为yyyyMMddHHmmss',
  `finish_time` char(14) DEFAULT NULL COMMENT '完成时间,格式为yyyyMMddHHmmss',
  `creator` varchar(32) DEFAULT NULL COMMENT '创建人',
  `creation_time` char(14) DEFAULT NULL COMMENT '创建时间,格式为yyyyMMddHHmmss',
  `modifier` varchar(32) DEFAULT NULL COMMENT '最后更新人',
  `modified_time` char(14) DEFAULT NULL COMMENT '最后更新时间,格式为yyyyMMddHHmmss',
  `valid` tinyint(4) DEFAULT NULL COMMENT '合法标识,0-无效,1-有效',
  `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁',
  PRIMARY KEY (`id`)
) ENGINE = InnoDB COMMENT = '版本定义表' ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `dt_demand`  (
  `id` varchar(40) NOT NULL COMMENT '主键',
  `code` varchar(40) NULL DEFAULT NULL COMMENT '编码-全局唯一',
  `user_name` varchar(200) NOT NULL COMMENT '用户名',
  `dept_name` varchar(200) NOT NULL COMMENT '部门名称',
  `product_line` tinyint NOT NULL COMMENT '产线 - 1:业务 2：研发 3：实施',
  `subject` varchar(1024) NULL DEFAULT NULL COMMENT '主题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '内容',
  `bill_state` tinyint NOT NULL DEFAULT 0 COMMENT '需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中',
  `respondent` varchar(200) NULL DEFAULT NULL COMMENT '回复人',
  `reply` varchar(1024) NULL DEFAULT NULL COMMENT '回复内容',
  `submit_time` char(14) NULL DEFAULT NULL COMMENT '提交时间',
  `estimate_time` char(8) NULL DEFAULT NULL COMMENT '预计回复日期',
  `answer_time` char(14) NULL DEFAULT NULL COMMENT '回复时间',
  `creator` varchar(32) NULL DEFAULT NULL COMMENT '创建人',
  `creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
  `modifier` varchar(32) NULL DEFAULT NULL COMMENT '最后修改人',
  `modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
  `valid` tinyint NULL DEFAULT NULL COMMENT '合法标识',
  `ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '乐观锁',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_state`(`bill_state`) USING BTREE
) ENGINE = InnoDB COMMENT = '字典需求' ROW_FORMAT = Dynamic;

