package com.persagy.dmp.rwd.digital.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.digital.entity.ObjectDigital;
import com.persagy.dmp.digital.entity.ObjectRelation;

import java.util.List;

/**
 * 关系数据 接口
 * @author Charlie Yu
 * @date 2021-07-08
 */
public interface IObjectRelationService extends IService<ObjectRelation> {

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectRelation> save(List<ObjectRelation> voList);

    /**
     * 删除
     * @param wrapper 删除条件
     * @return 已删除的数据
     */
    List<ObjectRelation> delete(Wrapper<ObjectRelation> wrapper);

    /**
     * 查询关联的对象IDs - 只有relCode会查多吧?
     * @param objIds 来源对象Ids
     * @param relCodes 关系编码
     * @return
     */
    List<ObjectDigital> queryRelatedObjects(Iterable<String> objIds, Iterable<String> relCodes);
}
