package com.persagy.dmp.rwd.simple.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;
import java.util.Set;

@Data
@EqualsAndHashCode
@ToString
public class CountRequestData {
    /**关系id数组*/
    @JSONField(alternateNames = {"ids"})
    @JsonAlias({"ids"})
    private Set<String> ids;
    /**关系左侧的对象id数组*/
    @JSONField(alternateNames = {"objFromIds"})
    @JsonAlias({"objFromIds"})
    private Set<String> objFromIds;
    /**关系右侧的对象id数组*/
    @JSONField(alternateNames = {"objToIds"})
    @JsonAlias({"objToIds"})
    private Set<String> objToIds;
    /**图类型编码数组*/
    @JSONField(alternateNames = {"graphCodes"})
    @JsonAlias({"graphCodes"})
    private Set<String> graphCodes;
    /**边类型编码数组*/
    @JSONField(alternateNames = {"relCodes"})
    @JsonAlias({"relCodes"})
    private Set<String> relCodes;
    /**关系值数组筛选*/
    @JSONField(alternateNames = {"relValues"})
    @JsonAlias({"relValues"})
    private Set<String> relValues;
    /**项目id数组筛选*/
    @JSONField(alternateNames = {"projectIds"})
    @JsonAlias({"projectIds"})
    private Set<String> projectIds;
    /**分组字段数组筛选*/
    @JSONField(alternateNames = {"groups"})
    @JsonAlias({"groups"})
    private List<String> groups;




}
