package com.persagy.dmp.rwd.simple.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.digital.entity.ObjectDigital;

import java.util.List;
import java.util.Map;

/**
 * 系统业务接口
 * @author lvxy
 * @date 2021/10/9
 */
public interface ISystemService {

    /**
     * 查询不确定楼层/不确定建筑 的系统
     */
    Page<Map<String,Object>> queryNotSureSystem(RequestData requestData);



    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<ObjectDigital> queryWrapper);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectDigital> queryByCondition(Wrapper<ObjectDigital> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectDigital> queryWrapper);
}
