package com.persagy.dmp.file.context;

import lombok.Data;
import lombok.EqualsAndHashCode;

/***
 * Description: 旧文件服务使用的路径对象
 * @author : lijie
 * Update By lijie 2021/11/18 18:34
 */
@Data
@EqualsAndHashCode
public class OldFileContext {

    /** 序列id */
    private static final long serialVersionUID = 697592850956445675L;
    /** 请求用户id */
    public static final String SYSTEM_ID = "systemId";
    /** 密码 */
    public static final String SECRET = "secret";
    /** 文件key */
    public static final String KEY = "key";
    /** 上传文件id */
    public static final String UPLOAD_ID = "uploadId";
    /** 项目id */
    public static final String PROJECT_ID = "projectId";
    /** 工单id */
    public static final String WORK_ORDER_ID = "workOrderId";
    /** 是否覆盖 */
    public static final String OVERWRITE = "overwrite";
    /** 常用的systemId */
    public static final String DATA_PLATFORM = "dataPlatform";
    /** 常用的systemId */
    public static final String REVIT = "revit";

    /** 集团编码 - 租户 */
    private String systemId;
    /** 用户主键 */
    private String secret;
    /** 数据源名称 */
    private String key;
    /** 是否覆盖,true-覆盖,false-非覆盖 */
    private Boolean overwrite=false;
    /** 项目id */
    private String projectId;
    /** 是否覆盖,true-覆盖,false-非覆盖 */
    private String workOrderId;
    /** 上传文件id */
    private String uploadId;

}
