package com.persagy.dmp.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.file.model.FileMd5;

/**
 *
 */
public interface FileMd5Service extends IService<FileMd5> {
    /***
     * Description: 插入数据
     * @param fileMd5 : 请求参数
     * @return : com.persagy.dmp.file.model.FileMd5
     * @author : lijie
     * @date :2021/10/22 21:32
     * Update By lijie 2021/10/22 21:32
     */
    FileMd5 insertFileMd5(FileMd5 fileMd5);
    /***
     * Description: 确定文件上传路径
     * @param fileMd5 : 文件信息
     * @param fileName : 文件名称
     * @return : void
     * @author : lijie
     * @date :2021/10/22 21:46
     * Update By lijie 2021/10/22 21:46
     */
    void ensureFilePath(FileMd5 fileMd5, String fileName);
    /***
     * Description: 根据文件md5值查询文件Md5信息
     * @param fileMd5 : 文件的md5值
     * @return : void
     * @author : lijie
     * @date :2021/10/22 21:46
     * Update By lijie 2021/10/22 21:46
     */
    FileMd5 queryFileMd5ByFileMd5(String fileMd5);
    /***
     * Description: 更新文件MD5信息
     * @param fileMd5 : 文件MD5信息
     * @return : com.persagy.dmp.file.model.FileMd5
     * @author : lijie
     * @date :2021/10/22 21:47
     * Update By lijie 2021/10/22 21:47
     */
    FileMd5 updateFileMd5(FileMd5 fileMd5);
    /***
     * Description: 根据文件id查询文件MD5信息
     * @param id : 主键
     * @return : com.persagy.dmp.file.model.FileMd5
     * @author : lijie
     * @date :2021/10/22 21:50
     * Update By lijie 2021/10/22 21:50
     */
    FileMd5 load(String id);
    /***
     * Description: 逻辑删除文件Md5
     * @param fileMd5 : 文件Md5信息
     * @return : void
     * @author : lijie
     * @date :2021/10/22 22:02
     * Update By lijie 2021/10/22 22:02
     */
    void deleteFileMd5(FileMd5 fileMd5);
}
