CREATE TABLE IF NOT EXISTS `dt_file_info` (
`id` varchar(128) NOT NULL COMMENT '主键',
`group_code` varchar(40) NOT NULL COMMENT '集团编码',
`file_name` varchar(128) NOT NULL COMMENT '文件名称',
`file_md5` varchar(64) NULL DEFAULT NULL COMMENT '文件的md5值',
`business_id` varchar(32) NULL DEFAULT NULL COMMENT '关联业务Id',
`expire_date` char(8) NULL DEFAULT NULL COMMENT '保留期限',
`creator` varchar(32) DEFAULT NULL COMMENT '创建人',
`creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
`modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人',
`modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
`valid` tinyint DEFAULT 1 COMMENT '合法标识',
`ts` timestamp default current_timestamp on update current_timestamp NOT NULL COMMENT '乐观锁',
PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='文件信息';

CREATE TABLE IF NOT EXISTS `dt_file_md5` (
`id` varchar(40) NOT NULL COMMENT '主键',
`file_type` varchar(2) NOT NULL DEFAULT '0' COMMENT '文件类型:0-文件,1-目录',
`file_bucket` varchar(64) NOT NULL DEFAULT '0' COMMENT '文件分组:默认为应用名',
`file_path` varchar(512) NULL DEFAULT NULL COMMENT '文件路径含文件名称-对应文件存储路径',
`file_size` int(10) NOT NULL DEFAULT 0 COMMENT '文件大小',
`file_md5` varchar(64) NULL DEFAULT NULL COMMENT '文件的md5值',
`upload_status` tinyint NOT NULL DEFAULT 0 COMMENT '文件上传状态,0.上传完成,1.已上传部分',
`creator` varchar(32) DEFAULT NULL COMMENT '创建人',
`creation_time` char(14) NULL DEFAULT NULL COMMENT '创建时间',
`modifier` varchar(32) DEFAULT NULL COMMENT '最后修改人',
`modified_time` char(14) NULL DEFAULT NULL COMMENT '最后修改时间',
`valid` tinyint DEFAULT 1 COMMENT '合法标识',
`ts` timestamp default current_timestamp on update current_timestamp NOT NULL COMMENT '乐观锁',
PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='文件的MD5信息';

