package com.persagy.dmp.auth.client;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.auth.domain.Group;
import com.persagy.dmp.auth.domain.ResultReturn;
import feign.Headers;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 运维系统
 * <p> PersagyManageClient.java.</p>
 * <p>Description:  .</p>
 * <p>Company: .</p>
 * <p>@author gezhanbin</p>
 * <p>@version .</p>
 * 2019年6月17日: 下午2:21:44
 */
@FeignClient(name = "EMS-SAAS-WEB",fallbackFactory = EmsSaasWebFallbackFactory.class,url = "${saas.ems.web.service:}")
public interface EmsSaasWebClient {

	/***
	 * Description: 查询集团项目列表
	 * @param param : 请求参数
	 * @return : java.util.List<com.alibaba.fastjson.JSONObject>
	 * @author : lijie
	 * @date :2021/11/8 14:12
	 * Update By lijie 2021/11/8 14:12
	 */
	@PostMapping(value = "/rwd/groupAndSchema/admin/queryGroupProjectList")
	ResultReturn<Group> queryGroupProjectList(@RequestBody JSONObject param);
	
}
