package com.persagy.dmp.file.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 文件的MD5信息
 * @TableName dt_file_md5
 */
@TableName(value ="dt_file_md5")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString
public class FileMd5 extends AuditableEntity<FileMd5> {

    /**
     * 文件类型:0-文件,1-目录
     */
    @TableField(value = "file_type")
    private String fileType;

    /**
     * 文件分组:默认为应用名
     */
    @TableField(value = "file_bucket")
    private String fileBucket;

    /**
     * 文件路径含文件名称-对应文件存储路径
     */
    @TableField(value = "file_path")
    private String filePath;

    /**
     * 文件大小
     */
    @TableField(value = "file_size")
    private Long fileSize;

    /**
     * 文件的md5值
     */
    @TableField(value = "file_md5")
    private String fileMd5;

    /**
     * 文件上传状态,0.上传完成,1.已上传部分
     */
    @TableField(value = "upload_status")
    private Integer uploadStatus;
    /**
     * 文件名称
     */
    @TableField(exist = false)
    private String fileName;
    /**
     * 集团编码
     */
    @TableField(exist = false)
    private String groupCode;
}