package com.persagy.dmp.file.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.persagy.dmp.common.lang.PsDate;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/***
 * Description: 文件请求参数
 * @author : lijie
 * @date :2021/10/9 20:12
 * Update By lijie 2021/10/9 20:12
 */
@Data
@JsonIgnoreProperties
public class FileRequestData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**文件id*/
    private String fileId;

    /**存储桶名称*/
    private String fileBucket;

    /**分片数量*/
    private Integer chunkCount;

    /**上传文件的md5*/
    private String fileMd5;

    /**上传文件/合并文件的格式*/
    private String suffix;

    /**文件名称*/
    private String fileName;

    /**文件大小*/
    private Long fileSize;

    /**文件地址*/
    private String filePath;

    /**上传状态 0.上传完成 1.已上传部分*/
    private Integer uploadStatus;

    /**分片序号*/
    private Integer partNumber;

    /**上传地址*/
    private String uploadUrl;

    /**集团编码*/
    private String groupCode;

    /**业务id*/
    private String businessId;

    /**过期时间,入参格式为yyyyMMddHHmmss*/
    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    private PsDate expireDate;

}
